'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getCharge = getCharge;
exports.createCharge = createCharge;
exports.removeCharge = removeCharge;
exports.listCharge = listCharge;

var _get = require('../methods/get');

var _post = require('../methods/post');

function getCharge(options, id) {
  return new Promise(function (resolve, reject) {
    (0, _get.get)({
      id: id,
      token: options.token,
      url: options.url,
      api: 'application_charges/' + options.chargeid
    }).then(resolve).catch(reject);
  });
}

function createCharge(options, id) {
  return new Promise(function (resolve, reject) {
    (0, _get.get)({
      id: id,
      token: options.token,
      url: options.url,
      api: 'application_charges'
    }).then(resolve).catch(reject);
  });
}

function removeCharge(options, id) {
  return new Promise(function (resolve, reject) {
    (0, _post.post)({
      id: id,
      token: options.token,
      url: options.url,
      api: 'application_charges',
      obj: options.charge
    }).then(resolve).catch(reject);
  });
}

function listCharge(options, id) {
  return new Promise(function (resolve, reject) {
    (0, _post.post)({
      id: id,
      token: options.token,
      url: options.url,
      api: 'application_charges/' + options.chargeid + '/decline'
    }).then(resolve).catch(reject);
  });
}