'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.listFile = listFile;
exports.createFile = createFile;
exports.removeFile = removeFile;
exports.uploadFile = uploadFile;

var _get = require('../methods/get');

var _post = require('../methods/post');

var _remove = require('../methods/remove');

function listFile(options, id) {
  return new Promise(function (resolve, reject) {
    (0, _get.get)({
      id: id,
      token: options.token,
      url: options.url,
      api: 'files'
    }).then(resolve).catch(reject);
  });
}

function createFile(options, id) {
  return new Promise(function (resolve, reject) {
    (0, _post.post)({
      id: id,
      token: options.token,
      url: options.url,
      api: 'files',
      obj: options.file
    }).then(resolve).catch(reject);
  });
}

function removeFile(options, id) {
  return new Promise(function (resolve, reject) {
    (0, _remove.remove)({
      id: id,
      token: options.token,
      url: options.url,
      api: 'files/' + options.fileid
    }).then(resolve).catch(reject);
  });
}

function uploadFile(options, id) {
  var query = {};
  query.page = options.page ? options.page : 1;
  query.per_page = options.per_page ? options.per_page : 250;

  return new Promise(function (resolve, reject) {
    (0, _get.get)({
      id: id,
      token: options.token,
      url: options.url,
      api: 'files',
      query: query
    }).then(resolve).catch(reject);
  });
}