'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getProduct = getProduct;
exports.createProduct = createProduct;
exports.listProduct = listProduct;

var _get = require('../methods/get');

var _post = require('../methods/post');

function getProduct(options, id) {
  return new Promise(function (resolve, reject) {
    (0, _get.get)({
      id: id,
      token: options.token,
      url: options.url,
      api: 'products/' + options.productid
    }).then(resolve).catch(reject);
  });
}

function createProduct(options, id) {
  return new Promise(function (resolve, reject) {
    (0, _post.post)({
      id: id,
      token: options.token,
      url: options.url,
      api: 'products',
      obj: options.product
    }).then(resolve).catch(reject);
  });
}

function listProduct(options, id) {
  var query = {};
  query.page = options.page ? options.page : 1;
  query.per_page = options.per_page ? options.per_page : 100;
  if (options.updated_since && options.updated_since !== false) {
    query.updated_since = options.updated_since;
  }
  if (options.deleted === true) {
    query.deleted = true;
  }

  return new Promise(function (resolve, reject) {
    (0, _get.get)({
      id: id,
      token: options.token,
      url: options.url,
      api: 'products',
      query: query
    }).then(resolve).catch(reject);
  });
}