'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getRecurring = getRecurring;
exports.createRecurring = createRecurring;
exports.removeRecurring = removeRecurring;

var _get = require('../methods/get');

var _post = require('../methods/post');

var _remove = require('../methods/remove');

function getRecurring(options, id) {
  return new Promise(function (resolve, reject) {
    (0, _get.get)({
      id: id,
      token: options.token,
      url: options.url,
      api: 'recurring_application_charge'
    }).then(resolve).catch(reject);
  });
}

function createRecurring(options, id) {
  var charge = {
    'recurring-application-charge': {
      'monthly': options.price
    }
  };

  return new Promise(function (resolve, reject) {
    (0, _post.post)({
      id: id,
      token: options.token,
      url: options.url,
      api: 'recurring_application_charge',
      obj: charge
    }).then(resolve).catch(reject);
  });
}

function removeRecurring(options, id) {
  return new Promise(function (resolve, reject) {
    (0, _remove.remove)({
      id: id,
      token: options.token,
      url: options.url,
      api: 'recurring_application_charge'
    }).then(resolve).catch(reject);
  });
}